/*******************************************************************************
 * Witz - Winboard Chess Engine                                                *
 * BUILD.H                                                                     *
 *                                                                             *
 * Build Defenitions for Witz                                                  *
 *                                                                             *
 * Please refer to the licence notice in MAIN.C                                *
 *                                                                             *
 * Copywright (C) 2006 Pradu Kannan                                            *
 * http://witz.sf.net/                                                         *
 ******************************************************************************/

#ifndef __build
#define __build

//Program Versioning
#define PROGRAM_VERSION "Alpha 21"
#define COPYWRIGHT_YEAR "2006"

//Define __WINDOWS__ the program is to be compiled for Windows
#if defined _WIN32 || defined _WIN64 || defined __WIN32 || defined __WIN64
	#ifndef __WINDOWS__
		#define __WINDOWS__ 1
	#endif
#endif

//Define if you do not want the program to vary in its results every game
#define SEEDRAND 1

//Define this if you want to print the search (only alphabeta is debuggable)
//#define DEBUGSEARCH 1

//Define this if you want your engine to dump hash into a file before every search
//#define DEBUG_DUMPSTATE 1

//Define this if you want to enable the loadhash command from the command line
#define DEBUG_LOADSTATE 1

#endif
